package com.ruoyi.zhushi.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 年假申请明细表
 */
@Data
@TableName("nj_balance_manage_detail")
public class NjBalanceManageDetail extends BaseEntity {
    /** 主键ID */
    @TableId(value = "id", type = IdType.AUTO)
    private long id;

    /** 员工编号 */
    @TableField(value = "`user_id`")
    private long userId;

    /** 员工姓名 */
    @TableField(value = "`user_name`")
    private String userName;

    /** 员工姓名 */
    @TableField(value = "`nick_name`")
    private String nickName;

    /** 部门名称 */
    @TableField(value = "`dept_name`")
    private String deptName;


    /** 已使用天数 */
    @TableField(value = "`used_day`")
    private BigDecimal usedDay;

    /** 申请日期 可能是多个日期的拼接 */
    @TableField(value = "`apply_dates`")
    private String applyDates;

    /** 状态 */
    @TableField(value = "`is_enable`")
    private Boolean isEnable;
}
