package com.ruoyi.zhushi.entity;

import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 年假申请明细DTO
 */
@Data
public class NjBalanceManageDetailDTO extends BaseEntity {
    /** 主键ID */
    private long id;

    /** 员工编号 */
    private long userId;

    /** 员工姓名 */
    private String userName;

    /** 员工姓名 */
    private String nickName;

    /** 部门名称 */
    private String deptName;
    /** 已使用天数 */
    private BigDecimal usedDay;
    /** 申请日期 可能是多个日期的拼接 */
    private String applyDates;
    /** 状态 */
    private Boolean isEnable;
}
